[gnome-directory-thumbnailer] build: Update autogen.sh to drop unnecessary use of gnome-autogen



commit cd89454afd803bcde1e1527929e2d0f5caaabe7f
Author: Philip Withnall <philip withnall collabora co uk>
Date:   Tue Jun 9 13:28:16 2015 +0100

    build: Update autogen.sh to drop unnecessary use of gnome-autogen
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   35 ++++++++++++++++++++++++++---------
 1 files changed, 26 insertions(+), 9 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index eb1365d..9748f35 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,36 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME=gnome-directory-thumbnailer
-
 (test -f $srcdir/configure.ac) || {
-       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
+       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
        exit 1
 }
 
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from GNOME Git"
-       exit 1
-}
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+       echo "If you wish to pass any to it, please specify them on the" >&2
+       echo \`$0\'" command line." >&2
+       echo "" >&2
+fi
+
+set -x
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+set +x
+
+if [ "$NOCONFIGURE" = "" ]; then
+       set -x
+       $srcdir/configure "$@" || exit 1
+       set +x
 
-REQUIRED_PKG_CONFIG_VERSION=0.17.1 REQUIRED_AUTOMAKE_VERSION=1.9 USE_GNOME2_MACROS=1 . gnome-autogen.sh "$@"
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+       fi
+else
+       echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]